### GET /version
Source: https://api.parcel.royalmail.com/doc/v1/click-and-drop-api-v1.yaml
API endpoint for GET /version
```markdown
### Responses
#### 200 - Returns details about the API version
Empty response body
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X GET "https://api.example.com/version"
```
```
--------------------------------
### GET /returns/services
Source: https://api.parcel.royalmail.com/doc/v1/click-and-drop-api-v1.yaml
Returns a list of return services that can be used when creating return shipments.
```markdown
### Responses
#### 200 - Lists all available return services for generating return labels
Empty response body
#### 401 - Unauthorized
Unauthorized
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X GET "https://api.example.com/returns/services"
```
```
--------------------------------
### GET /orders
Source: https://api.parcel.royalmail.com/doc/v1/click-and-drop-api-v1.yaml
API endpoint for GET /orders
```markdown
### Parameters
- **pageSize** (string, query, optional): The number of items to return
- **startDateTime** (string, query, optional): Date and time lower bound for items filtering
- **endDateTime** (string, query, optional): Date and time upper bound for items filtering
- **continuationToken** (string, query, optional): The token for retrieving the next page of items
### Responses
#### 200 - Return pageable list of orders
Empty response body
#### 400 - Bad Request (Request has missing or invalid parameters and cannot be parsed)
Bad Request (Request has missing or invalid parameters and cannot be parsed)
#### 401 - Unauthorized
Unauthorized
#### 404 - Not Found
Not Found
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X GET "https://api.example.com/orders?pageSize=value&startDateTime=value&endDateTime=value&continuationToken=value"
```
```
--------------------------------
### GET /manifests/{manifestIdentifier}
Source: https://api.parcel.royalmail.com/doc/v1/click-and-drop-api-v1.yaml
Retrieve manifest paperwork for a previously successful ‘Manifest eligible orders’ endpoint call
```markdown
### Parameters
- **manifestIdentifier** (string, path, required): The manifest number returned from the initial ‘Manifest eligible orders’ endpoint call
### Responses
#### 200 - The Get Manifest request was successfully processed. The manifest details were retrieved, but the Printable PDF Manifest may or may not be available at this time.
Please try the Get Manifest endpoint. If it is not available after a reasonable period, please contact support for assistance.
Empty response body
#### 400 - Bad Request
Bad Request
#### 401 - Unauthorized
Unauthorized
#### 403 - Forbidden (Feature not available)
Forbidden (Feature not available)
#### 404 - Not Found
Not Found
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X GET "https://api.example.com/manifests/{manifestIdentifier}"
```
```
--------------------------------
### GET /orders/{orderIdentifiers}
Source: https://api.parcel.royalmail.com/doc/v1/click-and-drop-api-v1.yaml
API endpoint for GET /orders/{orderIdentifiers}
```markdown
### Parameters
- **orderIdentifiers** (string, path, required): One or several Order Identifiers or Order References separated by semicolon. Order Identifiers are integer numbers. Order References are strings - each must be percent-encoded and surrounded by double quotation marks. The maximum number of identifiers is 100.
### Responses
#### 200 - Return list of specific orders
Empty response body
#### 400 - Bad Request (Request has missing or invalid parameters and cannot be parsed)
Bad Request (Request has missing or invalid parameters and cannot be parsed)
#### 401 - Unauthorized
Unauthorized
#### 404 - Not Found
Not Found
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X GET "https://api.example.com/orders/{orderIdentifiers}"
```
```
--------------------------------
### GET /orders/full
Source: https://api.parcel.royalmail.com/doc/v1/click-and-drop-api-v1.yaml
Reserved for ChannelShipper customers only - please visit ChannelShipper.com for more information
```markdown
### Parameters
- **pageSize** (string, query, optional): The number of items to return
- **startDateTime** (string, query, optional): Date and time lower bound for items filtering
- **endDateTime** (string, query, optional): Date and time upper bound for items filtering
- **continuationToken** (string, query, optional): The token for retrieving the next page of items
### Responses
#### 200 - Return a pageable list of orders with details
Empty response body
#### 400 - Bad Request (Request has missing or invalid parameters and cannot be parsed)
Bad Request (Request has missing or invalid parameters and cannot be parsed)
#### 401 - Unauthorized
Unauthorized
#### 403 - Forbidden (Feature not available)
Forbidden (Feature not available)
#### 404 - Not Found
Not Found
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X GET "https://api.example.com/orders/full?pageSize=value&startDateTime=value&endDateTime=value&continuationToken=value"
```
```
--------------------------------
### GET /orders/{orderIdentifiers}/full
Source: https://api.parcel.royalmail.com/doc/v1/click-and-drop-api-v1.yaml
Reserved for ChannelShipper customers only - please visit ChannelShipper.com for more information
```markdown
### Parameters
- **orderIdentifiers** (string, path, required): One or several Order Identifiers or Order References separated by semicolon. Order Identifiers are integer numbers. Order References are strings - each must be percent-encoded and surrounded by double quotation marks. The maximum number of identifiers is 100.
### Responses
#### 200 - Return detailed information about the orders
Empty response body
#### 400 - Bad Request (Request has missing or invalid parameters and cannot be parsed)
Bad Request (Request has missing or invalid parameters and cannot be parsed)
#### 401 - Unauthorized
Unauthorized
#### 403 - Forbidden (Feature not available)
Forbidden (Feature not available)
#### 404 - Not Found
Not Found
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X GET "https://api.example.com/orders/{orderIdentifiers}/full"
```
```
--------------------------------
### GET /orders/{orderIdentifiers}/label
Source: https://api.parcel.royalmail.com/doc/v1/click-and-drop-api-v1.yaml
Reserved for OBA customers only
The account "Label format" settings page will control the page format settings used to print the postage label
and associated documents. Certain combinations of these settings may prevent associated documents from being
printed together with the postage label within a single document. If this occurs the documentType option can be
used in a separate call to print missing documents.
```markdown
### Parameters
- **orderIdentifiers** (string, path, required): One or several Order Identifiers or Order References separated by semicolon. Order Identifiers are integer numbers. Order References are strings - each must be percent-encoded and surrounded by double quotation marks. The maximum number of identifiers is 100.
- **documentType** (string, query, required): Document generation mode. When documentType is set to "postageLabel" the additional parameters below must be used. These additional parameters will be ignored when documentType is not set to "postageLabel"
- **includeReturnsLabel** (string, query, optional): Include returns label. Required when documentType is set to 'postageLabel'
- **includeCN** (string, query, optional): Include CN22/CN23 with label. Optional parameter. If this parameter is used the setting will override the default account behaviour specified in the "Label format" setting "Generate customs declarations with orders"
### Responses
#### 200 - Return the PDF file with labels
Empty response body
#### 400 - Bad Request (Request has missing or invalid parameters and cannot be parsed)
Bad Request (Request has missing or invalid parameters and cannot be parsed)
#### 401 - Unauthorized
Unauthorized
#### 403 - Forbidden (Feature available for OBA accounts only)
Forbidden (Feature available for OBA accounts only)
#### 404 - Not Found
Not Found
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X GET "https://api.example.com/orders/{orderIdentifiers}/label?documentType=value&includeReturnsLabel=value&includeCN=value"
```
```
--------------------------------
### POST /returns
Source: https://api.parcel.royalmail.com/doc/v1/click-and-drop-api-v1.yaml
Creates a return label and returns shipment details including tracking number, QR code, and label.
```markdown
### Parameters
- **body** (CreateReturnRequest, body, required): Return creation request
### Responses
#### 200 - Successfully created return shipment
Empty response body
#### 400 - Bad Request
Bad Request
#### 401 - Unauthorized
Unauthorized
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X POST "https://api.example.com/returns"
```
```
--------------------------------
### POST /manifests
Source: https://api.parcel.royalmail.com/doc/v1/click-and-drop-api-v1.yaml
Manifest all orders in 'Label Generated' and 'Despatched' statuses and return manifest paperwork where possible.
```markdown
### Parameters
- **request** (ManifestEligibleOrdersRequest, body, optional)
### Responses
#### 201 - The Manifest all eligible orders request was successful, and a manifest has been created. The Printable PDF manifest is available for download.
Empty response body
#### 202 - The Manifest eligible orders request was successful, and a manifest has been created. However, the printable manifest PDF is not yet available.
The printable manifest PDF should be accessible later via the Get Manifest endpoint.
If it is not available after a reasonable period, please contact support for assistance.
Empty response body
#### 400 - Bad Request
Bad Request
#### 401 - Unauthorized
Unauthorized
#### 403 - Forbidden (Feature not available)
Forbidden (Feature not available)
#### 404 - Not Found
Not Found
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X POST "https://api.example.com/manifests"
```
```
--------------------------------
### POST /orders
Source: https://api.parcel.royalmail.com/doc/v1/click-and-drop-api-v1.yaml
API endpoint for POST /orders
```markdown
### Parameters
- **request** (CreateOrdersRequest, body, required)
### Responses
#### 200 - Request Processed Successfully
Empty response body
#### 400 - Bad Request (Request has missing or invalid parameters and cannot be parsed)
Bad Request (Request has missing or invalid parameters and cannot be parsed)
#### 401 - Unauthorized
Unauthorized
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X POST "https://api.example.com/orders"
```
```
--------------------------------
### API Overview: ChannelShipper & Royal Mail Public API
Source: https://api.parcel.royalmail.com/doc/v1/click-and-drop-api-v1.yaml
Import your orders, retrieve your orders and generate labels.
```yaml
# ChannelShipper & Royal Mail Public API
# Version: 1.0.0
Import your orders, retrieve your orders and generate labels.
# Base URL: Not specified
```
--------------------------------
### PUT /orders/status
Source: https://api.parcel.royalmail.com/doc/v1/click-and-drop-api-v1.yaml
API endpoint for PUT /orders/status
```markdown
### Parameters
- **request** (UpdateOrdersStatusRequest, body, required): At least one of 'orderIdentifier' and 'orderReference' is required. Providing both is disallowed to avoid ambiguity.
When the status is set to 'despatchedByOtherCourier', if the optional parameter 'trackingNumber' is provided
then the parameters 'despatchDate', 'shippingCarrier' and 'shippingService' are also required.
The maximum collection length is 100.
### Responses
#### 200 - Provides a list of orders
Empty response body
#### 400 - Bad Request (Request has missing or invalid parameters and cannot be parsed)
Bad Request (Request has missing or invalid parameters and cannot be parsed)
#### 401 - Unauthorized
Unauthorized
#### 404 - Not Found
Not Found
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X PUT "https://api.example.com/orders/status"
```
```
--------------------------------
### POST /manifests/retry/{manifestIdentifier}
Source: https://api.parcel.royalmail.com/doc/v1/click-and-drop-api-v1.yaml
Retry a manifest operation if the eligible orders were not able to be successfully processed in the initial ‘Manifest eligible orders’ endpoint call and return manifest paperwork where possible
```markdown
### Parameters
- **manifestIdentifier** (string, path, required): The manifest number returned from the initial ‘Manifest eligible orders’ endpoint call
### Responses
#### 201 - The Retry Manifest request was successful, and a manifest has been created. The printable manifest PDF is available for download.
Empty response body
#### 202 - The retry request was successfully processed, and a manifest has been created, but the documentation is not yet available.
The manifest should be accessible later via the Get Manifest endpoint.
If it is not available after a reasonable period, please contact support for assistance.
Empty response body
#### 400 - Bad Request
Bad Request
#### 401 - Unauthorized
Unauthorized
#### 403 - Forbidden (Feature not available)
Forbidden (Feature not available)
#### 404 - Not Found
Not Found
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X POST "https://api.example.com/manifests/retry/{manifestIdentifier}"
```
```
--------------------------------
### DELETE /orders/{orderIdentifiers}
Source: https://api.parcel.royalmail.com/doc/v1/click-and-drop-api-v1.yaml
Please be aware labels generated on orders which are deleted are no longer valid and must be destroyed.
Cancelled label information is automatically shared with Royal Mail Revenue Protection, and should
a cancelled label be identified on an item in the Royal Mail Network, you will be charged on your account
and an additional handling fee applied.
```markdown
### Parameters
- **orderIdentifiers** (string, path, required): One or several Order Identifiers or Order References separated by semicolon. Order Identifiers are integer numbers. Order References are strings - each must be percent-encoded and surrounded by double quotation marks. The maximum number of identifiers is 100.
### Responses
#### 200 - Provides a list of deleted orders references and ids and errors for orders that failed to delete
Empty response body
#### 400 - Bad Request (Request has missing or invalid parameters and cannot be parsed)
Bad Request (Request has missing or invalid parameters and cannot be parsed)
#### 401 - Unauthorized
Unauthorized
#### 403 - Forbidden (Feature not available)
Forbidden (Feature not available)
#### 404 - Not Found
Not Found
#### 500 - Internal Server Error
Internal Server Error
### Example Usage
```bash
curl -X DELETE "https://api.example.com/orders/{orderIdentifiers}"
```
```
=== COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.